-- phpMyAdmin SQL Dump
-- version 4.0.10.10
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jul 05, 2015 at 10:55 PM
-- Server version: 5.1.73
-- PHP Version: 5.3.3

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `smdr`
--

-- --------------------------------------------------------

--
-- Table structure for table `accountcode`
--

CREATE TABLE IF NOT EXISTS `accountcode` (
  `accountcode` int(15) NOT NULL,
  `name` text,
  `extension` int(5) DEFAULT NULL,
  PRIMARY KEY (`accountcode`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `areacode`
--

CREATE TABLE IF NOT EXISTS `areacode` (
  `code` varchar(4) NOT NULL,
  `area` text NOT NULL,
  `cost` varchar(5) NOT NULL,
  `discount` varchar(5) NOT NULL,
  `zone` smallint(3) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `countrycode`
--

CREATE TABLE IF NOT EXISTS `countrycode` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `country` varchar(35) NOT NULL,
  `code` varchar(4) NOT NULL,
  `cost` varchar(5) NOT NULL DEFAULT '1.00',
  `discount` varchar(5) NOT NULL DEFAULT '.60',
  `zone` smallint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `extension`
--

CREATE TABLE IF NOT EXISTS `extension` (
  `extension` int(5) NOT NULL,
  `first` text,
  `last` text,
  PRIMARY KEY (`extension`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `globalareascodes`
--

CREATE TABLE IF NOT EXISTS `globalareascodes` (
  `country` varchar(45) DEFAULT NULL,
  `ccode` smallint(4) NOT NULL,
  `area` varchar(45) DEFAULT NULL,
  `acode` varchar(15) NOT NULL,
  `cost` varchar(7) NOT NULL DEFAULT '1.99',
  `evening` varchar(7) NOT NULL DEFAULT '1.49',
  `weekend` varchar(7) NOT NULL DEFAULT '0.99',
  `zone` int(2) DEFAULT '14',
  KEY `acode` (`acode`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `import`
--

CREATE TABLE IF NOT EXISTS `import` (
  `month` tinyint(2) DEFAULT NULL,
  `day` tinyint(2) DEFAULT NULL,
  `time` char(5) DEFAULT NULL,
  `PM` char(2) DEFAULT NULL,
  `hrs` char(2) DEFAULT NULL,
  `mins` char(2) DEFAULT NULL,
  `sec` char(2) DEFAULT NULL,
  `callingparty` char(5) DEFAULT NULL,
  `leaddigit` char(26) DEFAULT NULL,
  `calledno` char(26) DEFAULT NULL,
  `speeddialind` char(1) DEFAULT NULL,
  `calledparty` char(6) DEFAULT NULL,
  `transferext` char(5) DEFAULT NULL,
  `accountcode` int(15) DEFAULT NULL,
  `sysid` char(5) DEFAULT NULL,
  `year` char(4) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='smdr Import data table' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `setting`
--

CREATE TABLE IF NOT EXISTS `setting` (
  `name` varchar(25) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `value` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `smdr_users`
--

CREATE TABLE IF NOT EXISTS `smdr_users` (
  `username` varchar(30) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `trunks`
--

CREATE TABLE IF NOT EXISTS `trunks` (
  `id` smallint(3) NOT NULL AUTO_INCREMENT,
  `trunk` varchar(5) NOT NULL,
  `name` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `zone`
--

CREATE TABLE IF NOT EXISTS `zone` (
  `zone` int(2) NOT NULL DEFAULT '1',
  `day` varchar(5) NOT NULL,
  `evening` varchar(5) NOT NULL,
  `weekend` varchar(5) NOT NULL,
  `description` varchar(26) NOT NULL,
  PRIMARY KEY (`zone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
