<? 
  include ("Date/Calc.php");

  $REPORT_NAMES["extension_summary"] = "Station Summary";
  $REPORT_NAMES["group_summary"] = "Group Summary";
  $REPORT_NAMES["most_active"] = "Most Active Numbers/Stations";
  $REPORT_NAMES["longest_calls"] = "Longest Calls";

  $DEFAULT_LIMIT =  50;
  $FORM_VARS = array_merge($_GET,$_POST);

function get_date_range($FORM_VARS) {

  $nl = "<BR>\n";
  $date_range = array(); 

  if ($FORM_VARS[date_opt_sel] == "date_opts") { 
    // $today_arr = localtime(time(),1); 

    // $today_mm = $today_arr[tm_mon] + 1; 
    // $today_yyyy = $today_arr["tm_year"] + 1900; 
    // $today_dd = $today_arr["tm_mday"]; 

    // echo "$today_yyyy - $today_mm - $today_dd $nl";
    $dateCalc = new Date_Calc(); 
    if ($FORM_VARS[date_opt] == "today") { 
      ## start date and end date are the same and they are today 
      $date_range[start_date] = $dateCalc->dateNow("%Y-%m-%d");
      $date_range[end_date] = $date_range[start_date] ; 
    } elseif ($FORM_VARS[date_opt] == "yesterday") {
      $date_range[start_date] =  $dateCalc->prevday(null,null,null,"%Y-%m-%d");
      $date_range[end_date] = $date_range[start_date] ; 

    } elseif ($FORM_VARS[date_opt] == "thisweek") { 
      $date_range[start_date] = $dateCalc->beginOfWeek(null,null,null,"%Y-%m-%d"); 
      $date_range[end_date] = $dateCalc->dateNow("%Y-%m-%d");
    } elseif ($FORM_VARS[date_opt] == "lastweek") {
      // $mm = $dateCalc->dateNow("%m");
      // $dd = $dateCalc->dateNow("%d");
      // $yyyy = $dateCalc->dateNow("%Y");
       
      $date_range[start_date] = $dateCalc->beginOfPrevWeek(null,null,null,"%Y-%m-%d"); 
      list($yyyy,$mm,$dd) = split("-",$date_range[start_date]);
      $date_range[end_date] = $dateCalc->endOfWeek($dd,$mm,$yyyy,"%Y-%m-%d"); 
    } elseif ($FORM_VARS[date_opt] == "thismonth") {
      $date_range[start_date] = $dateCalc->beginOfMonth( null,null,"%Y-%m-%d");
      $date_range[end_date] = $dateCalc->dateNow("%Y-%m-%d");
    } elseif ($FORM_VARS[date_opt] == "lastmonth") {   
      $date_range[start_date] = $dateCalc->beginOfPrevMonth(null, null,null,"%Y-%m-%d");
      $date_range[end_date] = $dateCalc->endOfPrevMonth(null,null,null,"%Y-%m-%d");
    } 
  } elseif ($FORM_VARS[date_opt_sel] == "date_params") {
    if ($FORM_VARS[start_date]) { 
      $date_range[start_date] = convert_pretty_date($FORM_VARS[start_date] ) ;
     } 
     if ($FORM_VARS[end_date]) { 
      $date_range[end_date] = convert_pretty_date($FORM_VARS[end_date] ) ;
     } 

    // $date_range[end_date] = convert_pretty_date($FORM_VARS[end_date] ) ;
  } 
  return $date_range ; 

}


function convert_pretty_date($date="") {
   if ($date) {
      list($mm,$dd,$yyyy) = split("/", $date); 
      if ($mm && $dd && $yyyy) {
        return sprintf("%04d-%02d-%02d", $yyyy, $mm, $dd);   
      } 
   }
   return null; 
}

function make_pretty_date($date="") {
   if ($date) {
      list($yyyy,$mm,$dd) = split("-", $date); 
      if ($mm && $dd && $yyyy) {
        return sprintf("%02d/%02d/%04d", $mm, $dd, $yyyy);   
      } 
   }
   return null; 
}
/****** 
** pass by reference 
**********/ 
function process_form_vars(&$FORM_VARS) {
  if (!is_numeric($FORM_VARS[limit]) ) {
    global $DEFAULT_LIMIT;
    $FORM_VARS[limit] = $DEFAULT_LIMIT  ;  
  } 
  $date_range = get_date_range($FORM_VARS);
  global $resultpage ;
  $resultpage =  $FORM_VARS[resultpage];
  
  $FORM_VARS[start_date_sql] = $date_range[start_date];
  $FORM_VARS[end_date_sql] = $date_range[end_date];
 
}
function get_limit_sql($FORM_VARS){
  if (is_numeric($FORM_VARS[start]) )  { 
    $sql = " LIMIT $FORM_VARS[start], $FORM_VARS[limit] ";
  } else {
    $sql = " LIMIT $FORM_VARS[limit] ";
  }

  return $sql;
  

}
function get_prev_next ($FORM_VARS){
  if (is_numeric($FORM_VARS[start]) ) {
    $start =  $FORM_VARS[start];
  }  else {
    $start =  0;
  }
  $prev = $start-$FORM_VARS[limit] ;
  $next = $start+$FORM_VARS[limit] ;
  return array($prev , $next); 
} 
function get_prev_next_qs($FORM_VARS,$php_file) { 
  list ($prev,$next) = get_prev_next($FORM_VARS); 
  $date_url = get_date_qs($FORM_VARS);  

  if ($prev < 0 ) {
    $prev_url = null;  
  } else {
    $prev_url = "$php_file?func=$FORM_VARS[func]&$date_url&start=$prev" ; 
  } 
  $next_url = "$php_file?func=$FORM_VARS[func]&$date_url&start=$next" ; 

 return array($prev_url, $next_url );
}
function get_prev_next_qs2($FORM_VARS, $php_file, $total,$add_dates) {
  list ($prev,$next) = get_prev_next($FORM_VARS);
  if ($add_dates ) { 
    $date_url = get_date_qs($FORM_VARS);
  } 

  if ($prev < 0 ) {
    $prev_url = null;
  } else {
    $prev_url = "$php_file?func=$FORM_VARS[func]" ; 
    if ($date_url) { 
      $prev_url .= "&$date_url"; 
    } 
    $prev_url .= "&start=$prev" ;
  }

  if ($next > $total ) { 
    $next_url = null;
  } else {   
    $next_url  = "$php_file?func=$FORM_VARS[func]" ; 
    if  ($date_url) { 
      $next_url .= "&$date_url";
    } 
    $next_url .= "&start=$next" ;
  }
 return array($prev_url, $next_url );
}


function get_date_display($FORM_VARS,$php_file,$url_only) {
  $start_date_pretty; $end_date_pretty; $string;
  $nl = "<BR>\n";
  if (!empty($FORM_VARS['start_date_sql'] ))  {
     $start_date_pretty = make_pretty_date( $FORM_VARS['start_date_sql'] );
  }
  if (!empty($FORM_VARS['end_date_sql'] ))  {
     $end_date_pretty = make_pretty_date( $FORM_VARS['end_date_sql'] );
  }
  if (!$url_only ) {
    if ($start_date_pretty && $end_date_pretty ) {
       $string = "Start Date: $start_date_pretty &nbsp; &nbsp; End Date: $end_date_pretty ";
     } elseif ($start_date_pretty) {
       $string = "Date: $start_date_pretty &nbsp;&nbsp;";
     }
  }

  $url_qs = get_url_qs($FORM_VARS); 
  $string .=  "<a href=\"$php_file?func=date_params&target_func=$FORM_VARS[func]&$url_qs\">Change Report Date Range</a> ";
  return $string ;
}

function get_date_qs ($FORM_VARS)  { 
  $url1 = "date_opt_sel=$FORM_VARS[date_opt_sel]";
  if ($FORM_VARS[date_opt_sel] == "date_opts" ) {
      $url1 .="&date_opt=$FORM_VARS[date_opt]";
  } else {
      $url1 .="&start_date=$FORM_VARS[start_date]&end_date=$FORM_VARS[end_date]";

  }
  if ($FORM_VARS[pf]) {
    $url1 .= "&pf=1"; 
  } 
  return $url1; 

}

function get_url_qs ($FORM_VARS) {
  $url1 = get_date_qs($FORM_VARS) ; 
  
  $url1  .="&start=$FORM_VARS[start]"; 
  return $url1 ; 

}
function format_phone_number($str) {
 if (strlen($str) == 7)  {
    return substr($str,0,3 ) . "-" . substr($str,3); 
 } elseif ( strlen($str) == 10 ) {
    return "(" . substr($str,0,3 ) . ")-" . substr($str,3,3) . "-" . substr($str,6); 
 } elseif ( strlen($str) == 11 && substr($str,0,1) == '1' ) {
    return "(" . substr($str,1,3 ) . ")-" . substr($str,4,3) . "-" . substr($str,7); 
 }  
 return $str; 

}
function get_record_number ($total,$start,$limit) {
  if (($start + $limit) > ($total))  {
     return "$start - $total of $total";
  } else {
     return "$start - " . ($start+ $limit - 1) . " of $total";
  }  
}
function cost_call ($call_costs_obj,$number, $duration_seconds) { 

}
?>
